Compaction (ZXing 3.5.0 API)

com.google.zxing.pdf417.encoder

## Enum Compaction

- java.lang.Object
- - java.lang.Enum<Compaction>
  - - com.google.zxing.pdf417.encoder.Compaction

- All Implemented Interfaces:
    Serializable, Comparable<Compaction>

      public enum Compaction
      extends Enum<Compaction>

  Represents possible PDF417 barcode compaction types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTO`
    `BYTE`
    `NUMERIC`
    `TEXT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Compaction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Compaction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AUTO

          public static final Compaction AUTO

    - #### TEXT

          public static final Compaction TEXT

    - #### BYTE

          public static final Compaction BYTE

    - #### NUMERIC

          public static final Compaction NUMERIC

  - ### Method Detail

    - #### values

          public static Compaction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Compaction c : Compaction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Compaction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2007–2022. All rights reserved.